
_Display_Temperature:

;DS1820.c,28 :: 		void Display_Temperature(unsigned int temp2write) {
;DS1820.c,33 :: 		Ow_Reset(&PORTA, 5);                         // Onewire reset signal
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Reset_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;DS1820.c,34 :: 		Ow_Write(&PORTA, 5, 0xCC);                   // Issue command SKIP_ROM
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       204
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;DS1820.c,35 :: 		Ow_Write(&PORTA, 5, 0x44);                   // Issue command CONVERT_T
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       68
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;DS1820.c,36 :: 		Delay_us(120);
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       221
	MOVWF       R13, 0
L_Display_Temperature0:
	DECFSZ      R13, 1, 1
	BRA         L_Display_Temperature0
	DECFSZ      R12, 1, 1
	BRA         L_Display_Temperature0
	NOP
	NOP
;DS1820.c,38 :: 		Ow_Reset(&PORTA, 5);
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Reset_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;DS1820.c,39 :: 		Ow_Write(&PORTA, 5, 0xCC);                   // Issue command SKIP_ROM
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       204
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;DS1820.c,40 :: 		Ow_Write(&PORTA, 5, 0xBE);                   // Issue command READ_SCRATCHPAD
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       190
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;DS1820.c,42 :: 		temp =  Ow_Read(&PORTA, 5);
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Read_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _temp+0 
	MOVLW       0
	MOVWF       _temp+1 
;DS1820.c,43 :: 		temp += (Ow_Read(&PORTA, 5) << 8);
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Read_port+1 
	MOVLW       5
	MOVWF       FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R5 
	CLRF        R4 
	MOVF        R4, 0 
	ADDWF       _temp+0, 0 
	MOVWF       R2 
	MOVF        R5, 0 
	ADDWFC      _temp+1, 0 
	MOVWF       R3 
	MOVF        R2, 0 
	MOVWF       _temp+0 
	MOVF        R3, 0 
	MOVWF       _temp+1 
;DS1820.c,45 :: 		temp2write = temp;
	MOVF        R2, 0 
	MOVWF       FARG_Display_Temperature_temp2write+0 
	MOVF        R3, 0 
	MOVWF       FARG_Display_Temperature_temp2write+1 
;DS1820.c,49 :: 		if (temp2write & 0x8000) {
	BTFSS       R3, 7 
	GOTO        L_Display_Temperature1
;DS1820.c,52 :: 		}
L_Display_Temperature1:
;DS1820.c,55 :: 		temp_whole = temp2write >> RES_SHIFT ;
	MOVF        FARG_Display_Temperature_temp2write+0, 0 
	MOVWF       R0 
	MOVF        FARG_Display_Temperature_temp2write+1, 0 
	MOVWF       R1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	MOVF        R0, 0 
	MOVWF       Display_Temperature_temp_whole_L0+0 
;DS1820.c,58 :: 		if (temp_whole/100)
	MOVLW       100
	MOVWF       R4 
	CALL        _Div_8X8_U+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_Display_Temperature2
;DS1820.c,59 :: 		text[0] = temp_whole/100  + 48;
	MOVLW       100
	MOVWF       R4 
	MOVF        Display_Temperature_temp_whole_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _text+0 
	GOTO        L_Display_Temperature3
L_Display_Temperature2:
;DS1820.c,61 :: 		text[0] = '0';
	MOVLW       48
	MOVWF       _text+0 
L_Display_Temperature3:
;DS1820.c,63 :: 		text[1] = (temp_whole/10)%10 + 48;             // Extract tens digit
	MOVLW       10
	MOVWF       R4 
	MOVF        Display_Temperature_temp_whole_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8X8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _text+1 
;DS1820.c,64 :: 		text[2] =  temp_whole%10     + 48;             // Extract ones digit
	MOVLW       10
	MOVWF       R4 
	MOVF        Display_Temperature_temp_whole_L0+0, 0 
	MOVWF       R0 
	CALL        _Div_8X8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _text+2 
;DS1820.c,66 :: 		temp_fraction  = temp2write << (4-RES_SHIFT);
	MOVF        FARG_Display_Temperature_temp2write+0, 0 
	MOVWF       R0 
	MOVF        FARG_Display_Temperature_temp2write+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
;DS1820.c,67 :: 		temp_fraction &= 0x000F;
	MOVLW       15
	ANDWF       R0, 1 
	MOVLW       0
	ANDWF       R1, 1 
;DS1820.c,68 :: 		temp_fraction *= 625;
	MOVLW       113
	MOVWF       R4 
	MOVLW       2
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__Display_Temperature+0 
	MOVF        R1, 0 
	MOVWF       FLOC__Display_Temperature+1 
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	MOVF        FLOC__Display_Temperature+0, 0 
	MOVWF       R0 
	MOVF        FLOC__Display_Temperature+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
;DS1820.c,71 :: 		text[4] =  temp_fraction/1000    + 48;         // Extract thousands digit
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _text+4 
;DS1820.c,72 :: 		text[5] = (temp_fraction/100)%10 + 48;         // Extract hundreds digit
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FLOC__Display_Temperature+0, 0 
	MOVWF       R0 
	MOVF        FLOC__Display_Temperature+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       _text+5 
;DS1820.c,76 :: 		}
L_end_Display_Temperature:
	RETURN      0
; end of _Display_Temperature

_main:

;DS1820.c,81 :: 		void main() {
;DS1820.c,83 :: 		ADCON1 = 0x0F;         // All AN pins as digital
	MOVLW       15
	MOVWF       ADCON1+0 
;DS1820.c,84 :: 		ADON_bit = 0;          // Turn off AD convertor
	BCF         ADON_bit+0, BitPos(ADON_bit+0) 
;DS1820.c,85 :: 		CMCON  = 0x07;         // Turn off comparators
	MOVLW       7
	MOVWF       CMCON+0 
;DS1820.c,87 :: 		PORTA = 0;
	CLRF        PORTA+0 
;DS1820.c,88 :: 		TRISA = 0xEF;          // Set PORTA as input for ADC
	MOVLW       239
	MOVWF       TRISA+0 
;DS1820.c,90 :: 		PORTB = 0;
	CLRF        PORTB+0 
;DS1820.c,91 :: 		TRISB = 0;             // Set PORTB as output
	CLRF        TRISB+0 
;DS1820.c,93 :: 		PORTD = 0;
	CLRF        PORTD+0 
;DS1820.c,94 :: 		TRISD = 0;             // Set PORTD as output
	CLRF        TRISD+0 
;DS1820.c,96 :: 		PORTE = 0;
	CLRF        PORTE+0 
;DS1820.c,97 :: 		TRISE = 0;
	CLRF        TRISE+0 
;DS1820.c,101 :: 		Glcd_Init();                                             // Initialize GLCD
	CALL        _Glcd_Init+0, 0
;DS1820.c,102 :: 		Glcd_Fill(0);
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;DS1820.c,104 :: 		Glcd_Write_Text("BIENVENIDO !!!", 20, 4, 1) ;
	MOVLW       ?lstr1_DS1820+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr1_DS1820+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       20
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;DS1820.c,105 :: 		Delay_ms(1000);
	MOVLW       61
	MOVWF       R11, 0
	MOVLW       225
	MOVWF       R12, 0
	MOVLW       63
	MOVWF       R13, 0
L_main4:
	DECFSZ      R13, 1, 1
	BRA         L_main4
	DECFSZ      R12, 1, 1
	BRA         L_main4
	DECFSZ      R11, 1, 1
	BRA         L_main4
	NOP
	NOP
;DS1820.c,106 :: 		Glcd_Fill(0);
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;DS1820.c,112 :: 		while(1) {                            // do forever
L_main5:
;DS1820.c,113 :: 		Display_Temperature(temp);
	MOVF        _temp+0, 0 
	MOVWF       FARG_Display_Temperature_temp2write+0 
	MOVF        _temp+1, 0 
	MOVWF       FARG_Display_Temperature_temp2write+1 
	CALL        _Display_Temperature+0, 0
;DS1820.c,116 :: 		Glcd_Box(76,47,115,55,1);
	MOVLW       76
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVLW       47
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       115
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVLW       55
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;DS1820.c,117 :: 		Glcd_Write_Text(text, 78,6,0);          // Write string
	MOVLW       _text+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_text+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       78
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       6
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	CLRF        FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;DS1820.c,118 :: 		Delay_ms(1000);
	MOVLW       61
	MOVWF       R11, 0
	MOVLW       225
	MOVWF       R12, 0
	MOVLW       63
	MOVWF       R13, 0
L_main7:
	DECFSZ      R13, 1, 1
	BRA         L_main7
	DECFSZ      R12, 1, 1
	BRA         L_main7
	DECFSZ      R11, 1, 1
	BRA         L_main7
	NOP
	NOP
;DS1820.c,121 :: 		}
	GOTO        L_main5
;DS1820.c,123 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
